# This file is adapted from the github workflow
image: node:16.13.2-stretch

# This folder is cached between builds
cache:
  paths:
    - javascript/node_modules/

pages:
  stage: deploy
  script:
    - mkdir -p public
    - cp -r urdf public
    - cd javascript
    - npm install
    - npm run build
    - cp -r example/* ../public    
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
